<?php

use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;

final class Xamax_Payment_Gateway_Blocks_Support extends AbstractPaymentMethodType {
	protected $name = 'xamax_payment'; // payment gateway id

	public function initialize() {
		$this->settings = get_option("woocommerce_{$this->name}_settings", array());
	}

	public function is_active(): bool {
		return !empty($this->settings['enabled']) && 'yes' === $this->settings['enabled'];
	}

	public function get_payment_method_script_handles(): array {
		wp_register_script(
			'wc-xamax-blocks-integration',
			plugin_dir_url(__DIR__) . 'build/index.js',
			array(
				'wc-blocks-registry',
				'wc-settings',
				'wp-element',
				'wp-html-entities',
			),
			null,
			true
		);

		return array('wc-xamax-blocks-integration');

	}

	public function get_payment_method_data(): array {
		return array(
			'title' => $this->get_setting('title'),
			'description' => $this->get_setting('description'),
			'icon' => plugin_dir_url(__DIR__) . '/assets/images/xamax_logo.png',
		);
	}
}
